Disconnect a Calendar
curl --request DELETE \
--url https://api.getnexor.ai/api/public/calendar-connections/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getnexor.ai/api/public/calendar-connections/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getnexor.ai/api/public/calendar-connections/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"connection": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "google",
"status": "<string>",
"role": "<string>",
"calendar_email": "jsmith@example.com",
"scopes_ok": true,
"last_error": "<string>",
"connected_at": "<string>",
"fix": "connect_calendar"
},
"already_revoked": true
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}Disconnect a Calendar
This operation lets you disconnect a calendar for the authenticated Nexor account. This reference documents verified path, query, and top-level JSON body fields, observed response status codes, and top-level response fields. Provider-owned or deeply nested response shapes may remain open.
DELETE
/
calendar-connections
/
{id}
Disconnect a Calendar
Authorizations
API key for authentication. Keys are prefixed with nxr_live_.
Path Parameters
Calendar connection identifier.
Last modified on September 8, 2026
⌘I